Bug 110128 - [CI][SHARDS] igt@kms_plane@pixel-format-pipe-b-planes - fail - WARNING: CRC mismatch with format RG16(0x36314752) on B.0
Summary: [CI][SHARDS] igt@kms_plane@pixel-format-pipe-b-planes - fail - WARNING: CRC m...
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: DRI git
Hardware: Other All
: high normal
Assignee: Juha-Pekka Heikkilä
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-15 09:44 UTC by Lakshmi
Modified: 2019-04-09 12:56 UTC (History)
1 user (show)

See Also:
i915 platform: SKL
i915 features: display/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lakshmi 2019-03-15 09:44:05 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4885/shard-skl7/igt@kms_plane@pixel-format-pipe-b-planes.html
Starting subtest: pixel-format-pipe-B-planes
(kms_plane:1141) WARNING: CRC mismatch with format RG16(0x36314752) on B.0
(kms_plane:1141) WARNING: CRC mismatch with format RG16(0x36314752) on B.0
(kms_plane:1141) WARNING: CRC mismatch with format RG16(0x36314752) on B.0
(kms_plane:1141) WARNING: CRC mismatch with format RG16(0x36314752) on B.0
(kms_plane:1141) WARNING: CRC mismatch with format RG16(0x36314752) on B.0
(kms_plane:1141) WARNING: CRC mismatch with format XB24(0x34324258) on B.0
(kms_plane:1141) WARNING: CRC mismatch with format XB24(0x34324258) on B.0
(kms_plane:1141) WARNING: CRC mismatch with format XB24(0x34324258) on B.0
(kms_plane:1141) WARNING: CRC mismatch with format XB24(0x34324258) on B.0
(kms_plane:1141) WARNING: CRC mismatch with format XB24(0x34324258) on B.0
(kms_plane:1141) WARNING: CRC mismatch with format AR24(0x34325241) on B.0
(kms_plane:1141) WARNING: CRC mismatch with format AR24(0x34325241) on B.0
(kms_plane:1141) WARNING: CRC mismatch with format AR24(0x34325241) on B.0
(kms_plane:1141) WARNING: CRC mismatch with format AR24(0x34325241) on B.0
(kms_plane:1141) WARNING: CRC mismatch with format AR24(0x34325241) on B.0
(kms_plane:1141) WARNING: CRC mismatch with format AR24(0x34325241) on B.0
(kms_plane:1141) WARNING: CRC mismatch with format AB24(0x34324241) on B.0
(kms_plane:1141) WARNING: CRC mismatch with format AB24(0x34324241) on B.0
(kms_plane:1141) WARNING: CRC mismatch with format AB24(0x34324241) on B.0
(kms_plane:1141) WARNING: CRC mismatch with format AB24(0x34324241) on B.0
(kms_plane:1141) WARNING: CRC mismatch with format AB24(0x34324241) on B.0
(kms_plane:1141) WARNING: CRC mismatch with format XR30(0x30335258) on B.0
(kms_plane:1141) WARNING: CRC mismatch with format XR30(0x30335258) on B.0
(kms_plane:1141) WARNING: CRC mismatch with format XR30(0x30335258) on B.0
(kms_plane:1141) WARNING: CRC mismatch with format XR30(0x30335258) on B.0
(kms_plane:1141) WARNING: CRC mismatch with format XR30(0x30335258) on B.0
(kms_plane:1141) WARNING: CRC mismatch with format XR30(0x30335258) on B.0
(kms_plane:1141) WARNING: CRC mismatch with format YUYV(0x56595559) on B.0
(kms_plane:1141) WARNING: CRC mismatch with format YUYV(0x56595559) on B.0
(kms_plane:1141) WARNING: CRC mismatch with format YUYV(0x56595559) on B.0
(kms_plane:1141) WARNING: CRC mismatch with format YUYV(0x56595559) on B.0
(kms_plane:1141) WARNING: CRC mismatch with format YVYU(0x55595659) on B.0
(kms_plane:1141) WARNING: CRC mismatch with format YVYU(0x55595659) on B.0
(kms_plane:1141) WARNING: CRC mismatch with format YVYU(0x55595659) on B.0
(kms_plane:1141) WARNING: CRC mismatch with format YVYU(0x55595659) on B.0
(kms_plane:1141) WARNING: CRC mismatch with format YVYU(0x55595659) on B.0
(kms_plane:1141) WARNING: CRC mismatch with format UYVY(0x59565955) on B.0
(kms_plane:1141) WARNING: CRC mismatch with format UYVY(0x59565955) on B.0
(kms_plane:1141) WARNING: CRC mismatch with format UYVY(0x59565955) on B.0
(kms_plane:1141) WARNING: CRC mismatch with format UYVY(0x59565955) on B.0
(kms_plane:1141) WARNING: CRC mismatch with format UYVY(0x59565955) on B.0
(kms_plane:1141) WARNING: CRC mismatch with format VYUY(0x59555956) on B.0
(kms_plane:1141) WARNING: CRC mismatch with format VYUY(0x59555956) on B.0
(kms_plane:1141) WARNING: CRC mismatch with format VYUY(0x59555956) on B.0
(kms_plane:1141) WARNING: CRC mismatch with format VYUY(0x59555956) on B.0
(kms_plane:1141) WARNING: CRC mismatch with format VYUY(0x59555956) on B.0
(kms_plane:1141) WARNING: CRC mismatch with format VYUY(0x59555956) on B.0
(kms_plane:1141) CRITICAL: Test assertion failure function test_pixel_formats, file ../tests/kms_plane.c:612:
(kms_plane:1141) CRITICAL: Failed assertion: result
(kms_plane:1141) CRITICAL: At least one CRC mismatch happened
Subtest pixel-format-pipe-B-planes failed.
Comment 2 CI Bug Log 2019-03-20 11:50:49 UTC
A CI Bug Log filter associated to this bug has been updated:

{- SKL: igt@kms_plane@pixel-format-pipe-b-planes - fail - WARNING: CRC mismatch with format RG16(0x36314752) on B.0 -}
{+ SKL: igt@kms_plane@pixel-format-pipe-b-planes - fail - WARNING: CRC mismatches with format RG16(0x36314752) on B.0 with 2/8 solid colors tested (0x88) +}

 No new failures caught with the new filter
Comment 3 Martin Peres 2019-04-09 12:56:24 UTC
Verified to be fixed by:

commit 76a8f9cf7890969e8f2b4550600c6d3ee6913dd7
Author:     Juha-Pekka Heikkila <juhapekka.heikkila@gmail.com>
AuthorDate: Fri Mar 15 17:23:34 2019 +0200
Commit:     Juha-Pekka Heikkila <juhapekka.heikkila@gmail.com>
CommitDate: Wed Mar 20 10:48:20 2019 +0200

    lib/igt_kms: reset plane alpha and blend in igt_plane_reset()
    
    plane alpha and blend would affect other tests if left
    in unexpected states
    
    v2 (ville syrjälä): use "Pre-multiplied" as default for
    IGT_PLANE_PIXEL_BLEND_MODE.
    
    Signed-off-by: Juha-Pekka Heikkila <juhapekka.heikkila@gmail.com>
    Reviewed-by: Ville Syrjälä <ville.syrjala@linux.intel.com>
Comment 4 CI Bug Log 2019-04-09 12:56:31 UTC
The CI Bug Log issue associated to this bug has been archived.

New failures matching the above filters will not be associated to this bug anymore.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.